Official or Waninkoko update ?

Discussion in 'Wii - Hacking' started by superbob, Jul 19, 2009.

Jul 19, 2009
  1. superbob
    OP

    Member superbob GBAtemp Regular

    Joined:
    Jan 30, 2008
    Messages:
    139
    Location:
    Toulouse, France
    Country:
    France
    I'm currently on 3.3v1 (without October fix) with an old version of HBC and I'd like to upgrade to 4.1 (to have SD menu).
    As I want to do the less modification possible on my Wii, I'd prefer using official update but since I'll patch IOS60 maybe I should use Waninkoko 4.1 updater.
    That's why I'd like to know what precisely are the differences between an official update and waninkoko update (except for IOS60 patching) ?
    I've read in some threads that Waninkoko prevents official patching of some stuff, but I'd like to know what is concerned ?

    Note: I've asked the question in an other thread, but as it was not the primary subject, I think it's more appropriate to start a new one.
     
  2. Det1re

    Member Det1re det1re.de

    Joined:
    Oct 28, 2008
    Messages:
    1,272
    Location:
    Germany
    Country:
    Germany
    The Nintendo one patches old IOS to disable trucha, while Waninkoko's only installs IOS new to your Wii.
     
  3. olliepop2000

    Member olliepop2000 GBAtemp Fan

    Joined:
    Apr 4, 2009
    Messages:
    457
    Location:
    North West UK
    Country:
    United Kingdom
    and puts the trucha bug back in to them.
     
  4. Jeomite

    Member Jeomite GBAtemp Regular

    Joined:
    Jun 16, 2006
    Messages:
    215
    Location:
    United States
    Country:
    United States
    Is it easier now to simply use Nintendo Update Server and run Trucha Bug Restorer (since it works up to 4.1 now)??
     
  5. superbob
    OP

    Member superbob GBAtemp Regular

    Joined:
    Jan 30, 2008
    Messages:
    139
    Location:
    Toulouse, France
    Country:
    France
    So that's why guides tell to patch IOS35 and/or IOS36 an a virgin 4.0 Wii (I didn't truly understand why)
    Nintendo has surely changed version numbers to the patched IOSes, is there a risk for games that use them to malfunction ?
    Well, I'm not sure I'll update now, because I don't really need it ATM. It was just to be up to date.

    Thank you anyway!
     
  6. pm_41

    Member pm_41 GBAtemp Regular

    Joined:
    Jul 1, 2009
    Messages:
    204
    Location:
    Lurking in my Wii's NAND
    Country:
    United States
    Just use Nintendo's update, reinstall stuff like cIOS and DVDx, and go! [​IMG]
     
  7. Lakerfanalways

    Member Lakerfanalways GBAtemp Advanced Fan

    Joined:
    Feb 20, 2009
    Messages:
    825
    Country:
    United States
    I was thinking about upgrading too. I am currently on 3.4U..I have the Wii soft modded and I also have the Wii Mod Chip(D2Pro version) today I got a notification from the Wii telling me to update to 4.1..on my Wii I have the Backup Launcher, and the Homebrew Channel(I had help installing the soft mod to begin with so I have no idea about these CIOS and stuff like that) on my SD Card I have some IOS on them IOS16.wad, IOS38-64-v3609, IOS53-64-4113, IOS55-64-4633 and IOS249-r7
    I assume I have these all installed on the Wii since they are on my SD Card, a few months ago I had an issue with a game not working right now I put in some IOS file(dont remember which one) and the game worked fine. I'd like to update the Wii since it's always good to update but I dont want to worry about the Wii Bricking.
    I was reading posts about people who don't have certain things on their Wii before they upgrade and then they have a bricked Wii so I dont want that issue. Just want the simplest way possible to update. Thanks
     

Share This Page